List events
curl --request GET \
--url https://api.usefoil.com/v1/organizations/{organizationId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usefoil.com/v1/organizations/{organizationId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usefoil.com/v1/organizations/{organizationId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usefoil.com/v1/organizations/{organizationId}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.usefoil.com/v1/organizations/{organizationId}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usefoil.com/v1/organizations/{organizationId}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"object": "event",
"id": "wevt_0123456789abcdef0123456789abcdef",
"type": "session.fingerprint.calculated",
"subject": {
"type": "type",
"id": "sid_87wfetm98myh9awj0dpt28a3kc"
},
"data": {
"source": "signup_form"
},
"webhook_deliveries": [
{
"object": "webhook_delivery",
"id": "wdlv_0123456789abcdef0123456789abcdef",
"event_id": "wevt_0123456789abcdef0123456789abcdef",
"endpoint_id": "we_0123456789abcdef0123456789abcdef",
"event_type": "session.fingerprint.calculated",
"status": "pending",
"attempts": 1,
"response_status": 1,
"response_body": "response_body",
"error": "error",
"created_at": "2026-03-24T20:00:00.000Z",
"updated_at": "2026-03-24T20:00:05.000Z"
}
],
"created_at": "2026-03-24T20:00:00.000Z"
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
},
"meta": {
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}Events
List events
List organization events. Requires Authorization: Bearer sk_* with the webhooks:read scope.
GET
/
v1
/
organizations
/
{organizationId}
/
events
List events
Authorizations
Send Authorization: Bearer . Gate business endpoints require sk_* secret keys. Gate workflow endpoints use gate-native bearer tokens such as gtpoll_* or agt_* where documented.
Path Parameters
Pattern:
^org_[0123456789abcdefghjkmnpqrstvwxyz]{26}$Example:
"org_f6m39y94nh6fs513q03skj929c"
Query Parameters
Only return events that produced a delivery for this webhook endpoint.
Pattern:
^we_[0-9a-f]{32}$Example:
"we_0123456789abcdef0123456789abcdef"
Only return events of this type.
Available options:
session.fingerprint.calculated, session.result.persisted, gate.session.approved, webhook.test Example:
"session.fingerprint.calculated"
Required range:
1 <= x <= 200Example:
50
Response
Events.
Show child attributes
Show child attributes
Example:
[
{
"object": "event",
"id": "wevt_0123456789abcdef0123456789abcdef",
"type": "session.fingerprint.calculated",
"subject": {
"type": "type",
"id": "sid_87wfetm98myh9awj0dpt28a3kc"
},
"data": { "source": "signup_form" },
"webhook_deliveries": [
{
"object": "webhook_delivery",
"id": "wdlv_0123456789abcdef0123456789abcdef",
"event_id": "wevt_0123456789abcdef0123456789abcdef",
"endpoint_id": "we_0123456789abcdef0123456789abcdef",
"event_type": "session.fingerprint.calculated",
"status": "pending",
"attempts": 1,
"response_status": 1,
"response_body": "response_body",
"error": "error",
"created_at": "2026-03-24T20:00:00.000Z",
"updated_at": "2026-03-24T20:00:05.000Z"
}
],
"created_at": "2026-03-24T20:00:00.000Z"
}
]
Show child attributes
Show child attributes
Example:
{
"limit": 50,
"has_more": false,
"next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
}
Show child attributes
Show child attributes
Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
⌘I